#
# tkcon.tcl --
#
#   Wrapper script to either load or deiconify tkcon from Trillian.
#
#
# $Header: /home/cvs/tcllian/src/tcl/tkcon-loader.tcl,v 1.3 2004/12/15 06:07:23 dossy Exp $
#

if {[llength [info command tkcon]] == 0} {
    namespace eval ::tkcon {}
    set ::tkcon::OPT(exec) ""   ;# we want to have only the main interpreter
    set ::tkcon::PRIV(protocol) {tkcon hide}

    source [file dirname [info script]]/tkcon.tcl

    tkcon show
    # tkcon master wm protocol . WM_DELETE_WINDOW {wm withdraw .}
    vwait forever
    update
    destroy .
} else {
    # tkcon master wm deiconify .
    tkcon show
}
